<!-- userManual.md -->

<img src="./icons/electric-guitar.png" height=25% width=100%>

# FRET: Formal Requirements Elicitation Tool

## Welcome to FRET!

FRET is a framework for the elicitation, specification, formalization and understanding of requirements. Users enter system requirements in a specialized natural language. FRET helps understanding and review of semantics by utilizing a variety of forms for each requirement: natural language description, formal mathematical logics, and diagrams. Requirements can be defined in a hierarchical fashion and can be exported in a variety of forms to be used by analysis tools.


* [Installing FRET](./installingFRET/installationInstructions.md)
* [FRET interface](./user-interface/tutorial.md)
* [Writing requirements](./user-interface/writingReqs.md)
* [Importing requirements](./user-interface/export&import/import.md)
* [Exporting requirements](./user-interface/export&import/export.md)
* [Semantics](./semantics/semanticsOverview.md)
* [Using the simulator](./usingTheSimulator/ltlsim.md)
* [Exporting for analysis](./ExportingForAnalysis/analysis.md)
* [Realizability checking](./exports/realizabilityManual.md)
* [FRETish grammar](./fretishGrammar/index.html ':include width=100% height=800px')

#### FRET Example Requirements

We provide a set of example requirements that can be directly [imported](./user-interface/export&import/import.md) in FRET  in [FRETDemo.json](../../../tutorialExamples/FRETDemo.json)

## FRET Team

[Dimitra Giannakopoulou](https://ti.arc.nasa.gov/profile/dimitra/),
[Andreas Katis](https://andreaskatis.github.io/),
[Anastasia Mavridou](http://amavridou.com/),
[Tom Pressburger](https://ti.arc.nasa.gov/profile/ttp/),
[Johann Schumann](https://ti.arc.nasa.gov/profile/schumann/),
[Khanh Trinh](https://www.researchgate.net/profile/Khanh-Trinh-3).

*Alumni and Interns*: David Bushnell, Tanja de Jong, George (Yorgo) Karamanolis, David Kooi, Julian Rhein, Nija Shi.
